basis_raw_basic< T >
Inheritance diagram for basis_raw_basic< T >:

## Public Types

typedef basis_raw_rep< T > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::value_type | value_type
typedef rep::valued_type | valued_type
Public Types inherited from smart_pointer< basis_raw_rep< T > >
typedef basis_raw_rep< T > | handled_type
typedef base::internal | internal

## Public Member Functions

| basis_raw_basic (std::string name="")
void | reset (std::string &name)
std::string | family_name () const
size_type | degree () const
std::string | name () const
size_type | ndof (reference_element hat_K) const
bool | is_hierarchical () const
valued_type | valued_tag () const
const std::string & | valued () const
void | evaluate (reference_element hat_K, const point_basic< T > &hat_x, Eigen::Matrix< T, Eigen::Dynamic, 1 > &value) const
void | grad_evaluate (reference_element hat_K, const point_basic< T > &hat_x, Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &value) const
void | put (std::ostream &os, reference_element hat_K) const
Public Member Functions inherited from smart_pointer< basis_raw_rep< T > >
| smart_pointer (basis_raw_rep< T > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< basis_raw_rep< T > > &x)
smart_pointer< basis_raw_rep< T > > & | operator= (const smart_pointer< basis_raw_rep< T > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< basis_raw_rep< T >, details::constructor_copy< basis_raw_rep< T > > >
| smart_pointer_base (basis_raw_rep< T > *p=0)
| smart_pointer_base (const smart_pointer_base< basis_raw_rep< T >, details::constructor_copy< basis_raw_rep< T > > > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< basis_raw_rep< T >, details::constructor_copy< basis_raw_rep< T > > > & | operator= (const smart_pointer_base< basis_raw_rep< T >, details::constructor_copy< basis_raw_rep< T > > > &)
| ~smart_pointer_base ()
const basis_raw_rep< T > * | pointer () const
basis_raw_rep< T > * | pointer ()
const basis_raw_rep< T > & | data () const
basis_raw_rep< T > & | data ()
const basis_raw_rep< T > * | operator-> () const
basis_raw_rep< T > * | operator-> ()
const basis_raw_rep< T > & | operator* () const
basis_raw_rep< T > & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Protected Member Functions

void | _clear () const

## Detailed Description

### template<class T>
class rheolef::basis_raw_basic< T >

Definition at line 107 of file basis_raw.h.

## Member Typedef Documentation

## rep

typedef basis_raw_rep<T> rep

Definition at line 112 of file basis_raw.h.

## base

typedef smart_pointer<rep> base

Definition at line 113 of file basis_raw.h.

## size_type

typedef rep::size_type size_type

Definition at line 114 of file basis_raw.h.

## value_type

typedef rep::value_type value_type

Definition at line 115 of file basis_raw.h.

## valued_type

typedef rep::valued_type valued_type

Definition at line 116 of file basis_raw.h.

## Constructor & Destructor Documentation

## basis_raw_basic()

basis_raw_basic | ( | std::string | name = `""` | ) |

Definition at line 162 of file basis_raw.h.

## Member Function Documentation

## reset()

void reset | ( | std::string & | name | ) |

Definition at line 150 of file basis_get.cc.

## family_name()

std::string family_name

Definition at line 177 of file basis_raw.h.

## degree()

basis_raw_basic< T >::size_type degree

Definition at line 184 of file basis_raw.h.

## name()

std::string name

Definition at line 191 of file basis_raw.h.

## ndof()

basis_raw_basic< T >::size_type ndof | ( | reference_element | hat_K | ) | const

Definition at line 198 of file basis_raw.h.

## is_hierarchical()

bool is_hierarchical

Definition at line 205 of file basis_raw.h.

## valued_tag()

basis_raw_basic< T >::valued_type valued_tag

Definition at line 212 of file basis_raw.h.

## valued()

const std::string & valued

Definition at line 219 of file basis_raw.h.

## evaluate()

void evaluate | ( | reference_element | hat_K,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< T, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 226 of file basis_raw.h.

## grad_evaluate()

void grad_evaluate | ( | reference_element | hat_K,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 236 of file basis_raw.h.

## put()

void put | ( | std::ostream & | os,
|  | reference_element | hat_K
| ) |  | const

Definition at line 246 of file basis_raw.h.

## _clear()

void _clear

protected

Definition at line 170 of file basis_raw.h.

The documentation for this class was generated from the following files:

- /build/rheolef-bzr82u/rheolef-7.1/fem/lib/basis_raw.h
- /build/rheolef-bzr82u/rheolef-7.1/fem/lib/basis_get.cc